<template>
    <simple-form
        :items="formItems"
        ref="formRef"
        label-width="120px"
        :footer="true"
        @submit="handleSubmit"
    />
</template>

<script setup name="baseConfig">
    import { ref, shallowRef } from 'vue';
    import SimpleForm from '@/components/CommonPage/SimpleForm.vue';

    const formRef = ref(null);
    const formItems = shallowRef([
        {
            type: 'input',
            label: '高德地图',
            prop: 'logoImage'
        }
    ]);

    function handleSubmit(data) {
        console.log(data);
    }
</script>
